# Type (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.parameter

## Class Type

- java.lang.Object
- - net.fortuna.ical4j.vcard.Parameter
  - - net.fortuna.ical4j.vcard.parameter.Type

All Implemented Interfaces:
  Serializable

    public final class Type
    extends Parameter

TYPE parameter. $Id$ Created on 21/08/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Parameter

`Parameter.Id`

### Field Summary

Fields
`static ParameterFactory<Type>` `FACTORY`
`static Type` `HOME` Home type parameter.
`static Type` `PREF` Pref type parameter.
`static Type` `WORK` Work type parameter.

### Constructor Summary

Constructors
Constructor and Description
`Type(String... types)`
`Type(String value)`
`Type(Type... types)`

### Method Summary

Methods
`String[]` `getTypes()`
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.vcard.Parameter

`equals, getId, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### HOME

    public static final Type HOME

Home type parameter.

#### WORK

    public static final Type WORK

Work type parameter.

#### PREF

    public static final Type PREF

Pref type parameter.

#### FACTORY

    public static final ParameterFactory<Type> FACTORY

### Constructor Detail

#### Type

    public Type(String value)

Parameters:
  `value` - string representation of type parameter

#### Type

    public Type(String... types)

Parameters:
  `types` - string representations of multiple nested types

#### Type

    public Type(Type... types)

Parameters:
  `types` - multiple nested types

### Method Detail

#### getTypes

    public String[] getTypes()

Returns:
  the types

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Parameter`
Returns:
  a string representation of the value of the parameter